## ----include = FALSE----------------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## ----vignetteSetup, echo=FALSE, message=FALSE, warning=FALSE------------------
## Bib setup
library(RefManageR)

## Write bibliography information
bib <- c(
    R = citation(),
    mia = citation("mia")[1],
    iSEEtree = citation("iSEEtree")[1],
    iSEE = citation("iSEE")[1],
    TreeSummarizedExperiment = citation("TreeSummarizedExperiment")[1],
    shiny = citation("shiny")[1]
)

## ----install, eval=FALSE------------------------------------------------------
# if (!requireNamespace("BiocManager", quietly = TRUE))
#     install.packages("BiocManager")
# 
# BiocManager::install("miaDash")

## ----start, message=FALSE, warning=FALSE--------------------------------------
# Import miaDash
library(miaDash)

# Instantiate app
app <- miaDash()

# Launch miaDash
if (interactive()) {
  shiny::runApp(app)
}

## ----screenfun, eval=!exists("SCREENSHOT"), include=FALSE---------------------
SCREENSHOT <- function(x, ...) knitr::include_graphics(x)

## ----screenplot1, echo=FALSE, out.width="100%"--------------------------------
SCREENSHOT("screenshots/dashboard.png", delay = 20)

## ----screenplot2, echo=FALSE, out.width="100%"--------------------------------
SCREENSHOT("screenshots/iSEEtree.png", delay = 20)

## ----citation-----------------------------------------------------------------
## Citation info
citation("miaDash")

## ----reproduce, echo=FALSE--------------------------------------------------------------------------------------------
# Session info
options(width = 120)
sessionInfo()

## ----vignetteBiblio, results="asis", echo=FALSE, warning=FALSE, message=FALSE-----------------------------------------
# Print bibliography
PrintBibliography(bib, .opts = list(hyperlink = "to.doc", style = "html"))

